package com.spring.domain.email.service;

import org.springframework.stereotype.Service;

import com.spring.common.properties.PathProperties;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Service
@RequiredArgsConstructor
public class EmailSendService {
    
    private final PathProperties pathProperties;

    public void sendEmail() {
        log.info("pathProperties: {}", pathProperties);
        log.info("paths: {}", pathProperties.getPaths());

        String upload = pathProperties.getPaths().get("path1").getUpload();
        log.info(upload);
    }

}
